Name:           quota
Version:        4.03
Release:        %mkrel 1
Summary:        System administration tools for monitoring users' disk usage
License:        BSD and GPLv2+
Group:          System/Configuration
URL:            http://sourceforge.net/projects/linuxquota/
Source0:        http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.xz
Source1:        quota_nld.service
Source2:        quota_nld.sysconfig
Source3:        rpc-rquotad.service
Source4:        rpc-rquotad.sysconfig
Source5:        ldap-scripts.tar.gz
Patch0:         quota-4.03-warnquota-configuration-tunes.patch
Patch1:         quota-4.03-Build-rpc.rquotad-as-PIE.patch
Patch2:         quota-4.03-Validate-upper-bound-of-RPC-port.patch
Patch3:         quota-4.03-Respect-enviroment-CFLAGS.patch
Patch4:         quota-4.03-Work-around-an-AC_CHECK_LIB-bug-in-Autoconf.patch
Patch50:        quota-tools-default-conf.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dbus-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  gettext-devel
BuildRequires:  libnl3-devel
BuildRequires:  openldap-devel
BuildRequires:  tcp_wrappers-devel
BuildRequires:  tirpc-devel
Requires:       e2fsprogs
Requires:       initscripts
Requires:       tcp_wrappers

%description
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per file system.


%package        devel
Group:          Development/Libraries
Summary:        Development files for quota
Requires:       quota = %{version}-%{release}

%description    devel
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per file system.

This package contains development header files for implementing quotas
on remote machines.


%package        doc
Group:          Documentation
Summary:        Additional documentation for disk quotas
Requires:       quota = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains additional documentation for disk quotas concept in
Linux/UNIX environment.

%prep
%setup -q
%apply_patches

tar -xzkf %{SOURCE5}

# Fix for perm bug #3053
chmod 755 ldap-scripts/setquota-ldap.pl

%build
%serverbuild

autoreconf -fi

%configure2_5x \
    --enable-bsd-behaviour \
    --enable-ext2direct \
    --enable-ldapmail \
    --enable-libwrap \
    --enable-netlink \
    --enable-nls \
    --disable-rpath \
    --enable-rpcsetquota \
    --disable-silent-rules \
    --disable-xfs-roothack

%make

%install
rm -rf %buildroot
%makeinstall_std
rm -rf %{buildroot}%{_docdir}/%{name}

install -m0644 warnquota.conf %{buildroot}%{_sysconfdir}

#install -p -m644 -D %{SOURCE1} %{buildroot}%{_unitdir}/quota_nld.service
install -p -m644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/quota_nld
#install -p -m644 -D %{SOURCE3} %{buildroot}%{_unitdir}/rpc-rquotad.service
install -p -m644 -D %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/rpc-rquotad

# we don't support XFS yet
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*
rm -f %{buildroot}%{_mandir}/man8/xqmstats.*

%find_lang %{name}

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/sysconfig/rpc-rquotad
#%{_unitdir}/rpc-rquotad.service
%doc Changelog
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*

#%{_unitdir}/quota_nld.service
%{_sbindir}/quota_nld
%{_mandir}/man8/quota_nld.8*

%config(noreplace) %{_sysconfdir}/sysconfig/quota_nld
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
%{_sbindir}/warnquota
%{_mandir}/man5/quotagrpadmins.5*
%{_mandir}/man5/quotatab.5*
%{_mandir}/man5/warnquota.conf.5*
%{_mandir}/man8/warnquota.8*
%doc README.ldap-support README.mailserver

%files devel
%dir %{_includedir}/rpcsvc
%{_includedir}/rpcsvc/*
%{_mandir}/man3/*

%files doc
%doc doc/* ldap-scripts


%changelog
* Fri Sep 08 2017 adrianomorselli <adrianomorselli> 4.03-1uplos2017
- update
